Subject: Re: [PATCH 3/6] refs.c: replace write_str_in_full by write_in_full

From: Jeff King <[email-masked]>
Date: Wed, 21 Jan 2015 18:38:43 -0500

On Wed, Jan 21, 2015 at 03:23:42PM -0800, Stefan Beller wrote:

> There is another occurrence where we could have used write_str_in_full
> (line 3107: write_in_full(lock->lk->fd, &term, 1)), so the current state
> is inconsistent. This replaces the only occurrence of write_str_in_full
> by write_in_full, so we only need to wrap write_in_full in the next patch.

I had to read the first sentence a few times to figure out what you
meant. But I am not sure it is even relevant. We do not care about the
inconsistency. It is just "we are about to change how callers of
write_in_full in this file behave, the wrapper gets in the way, and it
does not add enough value by itself to merit making our future changes
in two places".

-Peff